View Issue Details

IDProjectCategoryView StatusLast Update
0005219CentOS-6CentOS-6-Pluspublic2011-12-10 02:43
Reporterkumaneko Assigned To 
PrioritynoneSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version6.1 
Summary0005219: Please enable TOMOYO security module in centos plus kernel package
DescriptionI'd like to propose enabling TOMOYO security module for centos plus kernels.
TOMOYO 2.x is a in-tree module but not enabled by default.
Just enabling CONFIG_SECURITY_PATH=y and CONFIG_SECURITY_TOMOYO=y in the kernel
configuration solves this issue.

Discussion on this topic started at http://lists.centos.org/pipermail/centos-devel/2011-October/008245.html
and now is at http://lists.centos.org/pipermail/centos-devel/2011-November/008269.html .

Regards.
TagsNo tags attached.

Relationships

child of 0004586 assignedtoracat Build centosplus kernels for CentOS-6 

Activities

toracat

toracat

2011-11-02 12:13

manager   ~0013693

I have built the current cplus kernel with the two options enabled for testing and can confirm no kABI breakage.
toracat

toracat

2011-11-23 05:56

manager   ~0013817

A kernel update was released upstream today. The cplus ( kernel-2.6.32-131.21.1.el6.centos.ayplus ) is now available for testing at:

http://centos.toracat.org/kernel/centos6/centosplus-testing/

TOMOYO security module has been enabled. kumaneko-san, will you be able to test this kernel?
kumaneko

kumaneko

2011-11-23 08:04

reporter   ~0013818

Tested kernel-2.6.32-131.21.1.el6.centos.ayplus.i686.rpm
and everything works fine.
You can change this topic to "resolved". Thank you very much.
toracat

toracat

2011-11-23 16:20

manager   ~0013821

Thank you for testing. I will keep this open until the official cplus kernel gets released (which will not happen before the release of CentOS 6.1).
toracat

toracat

2011-12-07 19:13

manager   ~0013879

Just a note to add that the 6.2 cplus kernels will have TOMOYO enabled. A test version has been built without any issues.
toracat

toracat

2011-12-10 02:43

manager   ~0013883

kernel-2.6.32-131.21.1.el6.centos has just been released. So, closing this report. For any issues related to TOMOYO, a new bug should be opened.

Issue History

Date Modified Username Field Change
2011-11-02 11:54 kumaneko New Issue
2011-11-02 12:13 toracat Note Added: 0013693
2011-11-02 12:13 toracat Status new => assigned
2011-11-02 12:15 toracat Relationship added child of 0004586
2011-11-23 05:56 toracat Note Added: 0013817
2011-11-23 08:04 kumaneko Note Added: 0013818
2011-11-23 16:20 toracat Note Added: 0013821
2011-12-07 19:13 toracat Note Added: 0013879
2011-12-10 02:43 toracat Note Added: 0013883
2011-12-10 02:43 toracat Status assigned => resolved
2011-12-10 02:43 toracat Resolution open => fixed